@import url('https://fonts.googleapis.com/css2?family=Roboto&display=swap');

img {
    height: 200px;
    border-radius: 4px;
}

body {
    margin: 0px;
    padding-bottom: 0px;
    font-family: Roboto;
    background: no-repeat url(https://as1.ftcdn.net/v2/jpg/03/12/10/80/1000_F_312108083_CmkjNoa1aLVOHcF6wtQGhIWQtgEdIczL.jpg);
}

main {
    padding: 16px;
    padding-bottom: 140px;
    background-size: cover;
}

nav {
    display: grid;
    grid-template-columns: repeat(8, 1fr);
    border-bottom: 1px solid black;
    padding: 10px;
    border-radius: 3px;
}

.nav_link {
    color: rgb(7, 2, 2);
    font-size: larger;
}

.authenticated {
    color: rgb(7, 2, 2);
    font-size: larger;
    grid-column-start: -1;
}

footer {
    padding: 16px;
    position: fixed;
    bottom: 0px;
    background-color: rgb(138, 206, 240);
    border-top: 1px solid rgb(3, 3, 3);
    border-radius: 3px;
    width: 100%;
    font-weight: bold;

}

.p1 {
    padding-left: 32px;
}

tr:nth-child(even) {
    background-color: lightgray;
}

a:hover {
    color: green;
}

a {
    text-decoration: none;
}

.grid {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    grid-template-rows: auto;
}

header {
    background-color: rgb(102, 154, 180)
}

h1 {
    color: rgb(2, 71, 71);
}

.recipe_link {
    color: rgb(11, 43, 11);
    padding-bottom: 25px;
    font-size: x-large;
}

form {
    display: flex;
    justify-content: flex-end;
    flex-flow: column wrap;
    align-items: flex-start;
    outline: solid 2px black;
    max-width: 506px;
    background-color: rgba(211, 211, 211, 0.692);
    border-radius: 7%;
    margin-bottom: 15px;
}

form p {
    padding: 16px;
    grid-column-start: 2;
    display: flex;
    flex-direction: column;
    justify-content: center;
    margin-inline: 1%;
    font-size: large;
    font-weight: bold;
    flex-basis: auto;
}

.form_button_area {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr 1fr 1fr;
}

.form_button {
    grid-column-start: 3;
}

#id_title {
    max-width: 400px;
    height: 20px;
}

#id_description {
    max-width: 600px;
}

#id_picture {
    max-width: 400px;
    height: 20px
}

.recipe-list-item {
    background-color: rgba(211, 211, 211, 0.692);
    border-radius: 7%;
    margin: 10px;
    text-align: center;
}

.has-opaque-background {
    background-color: rgba(211, 211, 211, 0.692);
    border-radius: 4%;
    padding: 1px;
    margin: 10px;
}

#edit-recipe-button {
    padding: 6px;
    background-color: rgb(182, 182, 182);
    border: 1px solid black;
    border-radius: 3px;
    color: black;
    box-shadow: 1px 1px 3px rgb(0, 0, 0);
}

@media (max-height=875px) {
    footer {
        position: static;
    }

    main {
        margin-bottom: 0;
    }
}
